Transition (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.transition
Class Transition

    java.lang.Object
      org.maltparser.parser.transition.Transition

All Implemented Interfaces:
  Comparable<Transition>

    public class Transition

extends Object
implements Comparable<Transition>

Transition contains one individual transition. For example, Nivre arc-eager algorithms have the unlabeled transition `SH`, `RE` and the labeled transition`RA`, `LA`. These transition will be four individual transition.

Since:
  1.0
Author:
  Joakim Nivre, Johan Hall

Constructor Summary
`Transition(int code, String symbol, boolean labeled)` Creates a transition

Method Summary
`int` | `compareTo(Transition that)`
`boolean` | `equals(Object obj)`
`int` | `getCode()` Returns the transition code
`String` | `getSymbol()` Returns the transition symbol
`int` | `hashCode()`
`boolean` | `isLabeled()` Returns true if the transition is labeled, otherwise false
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Transition

    public Transition(int code,
                      String symbol,
                      boolean labeled)

  Creates a transition

  Parameters:
    `code` - Transition code
    `symbol` - Transition name
    `labeled` - `true` if the transition is labeled, otherwise `false`

Method Detail

### getCode

    public int getCode()

  Returns the transition code

  Returns:
    the transition code

### getSymbol

    public String getSymbol()

  Returns the transition symbol

  Returns:
    the transition symbol

### isLabeled

    public boolean isLabeled()

  Returns true if the transition is labeled, otherwise false

  Returns:
    `true` if the transition is labeled, otherwise `false`

### compareTo

    public int compareTo(Transition that)

  Specified by:
    `compareTo` in interface `Comparable<Transition>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.